#include <bits/stdc++.h>
using namespace std;

int main()
{
    float p, q, r;
    int l, u;

    cin >> p >> q >> r >> l >> u;

    int cnt = 0;
    for (float i = l; i <= u; i++) {
        if (i >= (ceil(i / p) + ceil(i / q) + ceil(i / r)))
            cnt++;
    }

    cout << cnt;
}